Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.resource
Class ServletResourceContext

    java.lang.Object
      org.ajax4jsf.resource.ResourceContext
          org.ajax4jsf.resource.ServletResourceContext

    public class ServletResourceContext

extends org.ajax4jsf.resource.ResourceContext

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:01 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Constructor Summary
`ServletResourceContext(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`java.lang.Object` | `getContextAttribute(java.lang.String name)`
`java.lang.String` | `getInitParameter(java.lang.String name)`
`java.io.OutputStream` | `getOutputStream()`
`java.lang.String` | `getPathInfo()`
`java.lang.String` | `getQueryString()`
`java.lang.String` | `getRequestParameter(java.lang.String dataParameter)`
`java.net.URL` | `getResource(java.lang.String path)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String path)`
`java.util.Set` | `getResourcePaths(java.lang.String path)`
`java.lang.String` | `getServletPath()`
`java.lang.Object` | `getSessionAttribute(java.lang.String name)`
`java.io.PrintWriter` | `getWriter()`
`void` | `setContentLength(int contentLength)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setDateHeader(java.lang.String name, long value)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIntHeader(java.lang.String name, int value)`

Methods inherited from class org.ajax4jsf.resource.ResourceContext
`getResourceData, isCacheEnabled, release, setCacheEnabled, setResourceData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletResourceContext

    public ServletResourceContext(javax.servlet.ServletContext context,
                                  javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)

Parameters:
  `request` -
  `response` -

Method Detail

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `setHeader` in class `org.ajax4jsf.resource.ResourceContext`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `setIntHeader` in class `org.ajax4jsf.resource.ResourceContext`

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `setDateHeader` in class `org.ajax4jsf.resource.ResourceContext`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in class `org.ajax4jsf.resource.ResourceContext`
  Throws:
    `java.io.IOException`

### getQueryString

    public java.lang.String getQueryString()

  Specified by:
    `getQueryString` in class `org.ajax4jsf.resource.ResourceContext`

### getPathInfo

    public java.lang.String getPathInfo()

  Specified by:
    `getPathInfo` in class `org.ajax4jsf.resource.ResourceContext`

### getSessionAttribute

    public java.lang.Object getSessionAttribute(java.lang.String name)

  Specified by:
    `getSessionAttribute` in class `org.ajax4jsf.resource.ResourceContext`

### getContextAttribute

    public java.lang.Object getContextAttribute(java.lang.String name)

  Specified by:
    `getContextAttribute` in class `org.ajax4jsf.resource.ResourceContext`
  Parameters:
    `name` -
  Returns:
  See Also:
    `ServletContext.getAttribute(java.lang.String)`

### getResource

    public java.net.URL getResource(java.lang.String path)
                             throws java.net.MalformedURLException

  Specified by:
    `getResource` in class `org.ajax4jsf.resource.ResourceContext`
  Parameters:
    `path` -
  Returns:
  Throws:
    `java.net.MalformedURLException`
  See Also:
    `ServletContext.getResource(java.lang.String)`

### getResourcePaths

    public java.util.Set getResourcePaths(java.lang.String path)

  Specified by:
    `getResourcePaths` in class `org.ajax4jsf.resource.ResourceContext`
  Parameters:
    `path` -
  Returns:
  See Also:
    `ServletContext.getResourcePaths(java.lang.String)`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String path)

  Specified by:
    `getResourceAsStream` in class `org.ajax4jsf.resource.ResourceContext`

### getRequestParameter

    public java.lang.String getRequestParameter(java.lang.String dataParameter)

  Specified by:
    `getRequestParameter` in class `org.ajax4jsf.resource.ResourceContext`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.IOException

  Specified by:
    `getWriter` in class `org.ajax4jsf.resource.ResourceContext`
  Throws:
    `java.io.IOException`

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in class `org.ajax4jsf.resource.ResourceContext`

### setContentLength

    public void setContentLength(int contentLength)

  Specified by:
    `setContentLength` in class `org.ajax4jsf.resource.ResourceContext`

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Specified by:
    `getInitParameter` in class `org.ajax4jsf.resource.ResourceContext`

### getServletPath

    public java.lang.String getServletPath()

  Specified by:
    `getServletPath` in class `org.ajax4jsf.resource.ResourceContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.